@tool 
extends Blackboard

var default_data = {
	"move_target": null,
	"current_action": "",
	"action_points": 3,  # Adjust this value based on your game design
	"last_position": null,
	"path": [],
	"is_moving": false
}

func _ready():
	if Engine.is_editor_hint():
		return
		
	for key in default_data:
		if not has_value(key):
			set_value(key, default_data[key])
